Package writer2latex.latex

# Class CharStyleConverter

java.lang.Object
writer2latex.latex.StyleConverter
writer2latex.latex.CharStyleConverter

public class CharStyleConverter extends StyleConverter
This class creates LaTeX code from OOo character formatting Character formatting in OOo includes font, font effects/decorations and color. In addition it includes color and language/country information, this is however handled by the classes `writer2latex.latex.ColorConverter` and `writer2latex.latex.style.I18n`

## Field Summary

### Fields inherited from class writer2latex.latex.StyleConverter

`declarations, styleMap, styleNames`

## Constructor Summary

Constructors
Constructor
Description
`CharStyleConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Constructs a new `CharStyleConverter`.

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void`
`applyDefaultFont(StyleWithProperties style, LaTeXDocumentPortion ldp)`
Apply default font attributes (family, series, shape, size and color).
`void`
`applyFont(StyleWithProperties style, boolean bDecl, boolean bInherit, BeforeAfter ba, Context context)`
Apply all font attributes (family, series, shape, size and color).
`void`
`applyFontEffects(StyleWithProperties style, boolean bInherit, BeforeAfter ba)`
Apply font effects (position, underline, crossout, change case.
`void`
`applyHardCharFormatting(StyleWithProperties style, BeforeAfter ba)`
Apply hard character formatting (no inheritance).
`void`
`applyNormalFont(BeforeAfter ba)`
Reset to normal font, size and color.
`void`
`applyTextStyle(String sName, BeforeAfter ba, Context context)`
Use a text style in LaTeX.
`String`
`getFontName(String sStyleName)`
`String`
`getFontName(StyleWithProperties style)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CharStyleConverter

public CharStyleConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)

Constructs a new `CharStyleConverter`.

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)

Overrides:
  `appendDeclarations` in class `StyleConverter`

### applyTextStyle

public void applyTextStyle(String sName, BeforeAfter ba, Context context)

Use a text style in LaTeX.

Parameters:
  `sName` - the name of the text style
  `ba` - a `BeforeAfter` to put code into

### getFontName

public String getFontName(StyleWithProperties style)

### getFontName

public String getFontName(String sStyleName)

### applyHardCharFormatting

public void applyHardCharFormatting(StyleWithProperties style, BeforeAfter ba)

Apply hard character formatting (no inheritance).

This is used in sections and {foot|end}notes

Parameters:
  `style` - the style to use
  `ba` - the `BeforeAfter` to add LaTeX code to

### applyFont

public void applyFont(StyleWithProperties style, boolean bDecl, boolean bInherit, BeforeAfter ba, Context context)

Apply all font attributes (family, series, shape, size and color).

Parameters:
  `style` - the OOo style to read attributesfrom
  `bDecl` - true if declaration form is required
  `bInherit` - true if inherited properties should be used
  `ba` - the `BeforeAfter` to add LaTeX code to.

### applyNormalFont

public void applyNormalFont(BeforeAfter ba)

Reset to normal font, size and color.

Parameters:
  `ba` - the `BeforeAfter` to add LaTeX code to.

### applyDefaultFont

public void applyDefaultFont(StyleWithProperties style, LaTeXDocumentPortion ldp)

Apply default font attributes (family, series, shape, size and color).

Parameters:
  `style` - the OOo style to read attributesfrom
  `ldp` - the `LaTeXDocumentPortion` to add LaTeX code to.

### applyFontEffects

public void applyFontEffects(StyleWithProperties style, boolean bInherit, BeforeAfter ba)

Apply font effects (position, underline, crossout, change case.

Parameters:
  `style` - the OOo style to read attributesfrom
  `bInherit` - true if inherited properties should be used
  `ba` - the `BeforeAfter` to add LaTeX code to.